quarkus:
  application:
    name: dom-legal-customer-product-directory
    version: 1.0.0
  ## Profile
  profile: dev
  http:
    non-application-root-path: actuator
  native:
    file-encoding: UTF-8
    container-build: true
    builder-image: quay.io/quarkus/ubi-quarkus-mandrel-builder-image:23.0.5.0-Final-java17
    container-runtime: docker
    additional-build-args:
      - -H:InitialCollectionPolicy=com.oracle.svm.core.genscavenge.CollectionPolicy\$BySpaceAndTime
    native-image-xmx: 6G
    resources:
      excludes: resources/*.yaml
  datasource:
    db-kind: db2
    jdbc:
      url: "jdbc:db2://10.137.0.138:446/S100906D"
      driver: "com.ibm.db2.jcc.DB2Driver"
      acquisition-timeout: '20'
      background-validation-interval: '120000'
      max-size: '30'
      min-size: '5'
      initial-size: '5'
      idle-removal-interval: '300000'
      max-lifetime: '900000'
      leak-detection-interval: '60000'
      validation-query-sql: 'SELECT 1 FROM SYSIBM.SYSDUMMY1'
      # Configuración específica para DB2
      additional-jdbc-properties:
        currentSchema: "BANCYFIL2"
        retrieveMessagesFromServerOnGetMessage: "true"
        useJDBC4ColumnNameAndLabelSemantics: "2"
    health:
      # Específica si Quarkus debe registrar automáticamente sus propios health checks para verificar el datasource.
      # Cuando está en false Quarkus no registrará su health check de datasource automático
      # lo cual es correcto porque ya se tiene un health check personalizado (DatabaseHealthCheck).
      enabled: false
  ## OpenApi
  smallrye-openapi:
    path: /openapi
    enable: 'true'
  ## Swagger IU
  swagger-ui:
    path: /swagger-ui
    always-include: 'true'
  ## Logs
  log:
    level: INFO
    console:
      enable: true
      format: "%d{HH:mm:ss.SSS} %-5p [%t] [%X{requestId}] %c{1} - %s%e%n"
  smallrye-health:
    root-path: /actuator/health
    liveness-path: /actuator/health/live
    readiness-path: /actuator/health/ready
    ui:
      enable: false
  debug:
    print-startup-times: true
    reflection: false